Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfMeasureVerticalAlignType

    java.lang.Object
      java.lang.Enum<OdfMeasureVerticalAlignType>
          org.odftoolkit.odfdom.dom.type.draw.OdfMeasureVerticalAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfMeasureVerticalAlignType>

    public enum OdfMeasureVerticalAlignType

extends Enum<OdfMeasureVerticalAlignType>

DOM implementation of OpenDocument attribute draw:measure-vertical-align.

Enum Constant Summary
`ABOVE`
`AUTOMATIC`
`BELOW`
`CENTER`

Method Summary
`static OdfMeasureVerticalAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfMeasureVerticalAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfMeasureVerticalAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfMeasureVerticalAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ABOVE

    public static final OdfMeasureVerticalAlignType ABOVE

### BELOW

    public static final OdfMeasureVerticalAlignType BELOW

### AUTOMATIC

    public static final OdfMeasureVerticalAlignType AUTOMATIC

### CENTER

    public static final OdfMeasureVerticalAlignType CENTER

Method Detail

### values

    public static OdfMeasureVerticalAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfMeasureVerticalAlignType c : OdfMeasureVerticalAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfMeasureVerticalAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfMeasureVerticalAlignType>`
  Returns:
    return the name of OdfMeasureVerticalAlignType

### toString

    public static String toString(OdfMeasureVerticalAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfMeasureVerticalAlignType, see draw:measure-vertical-align
  Returns:
    return the name of OdfMeasureVerticalAlignType

### enumValueOf

    public static OdfMeasureVerticalAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfMeasureVerticalAlignType
  Returns:
    return the constant of OdfMeasureVerticalAlignType, see draw:measure-vertical-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.